MINIDUMP_MEMORY_LIST Struct Reference

Information about memory regions within the process. More...

`#include "dbghelp.h"`

## Public Attributes

uint32_t | NumberOfMemoryRanges
| The number of memory regions present in the MemoryRanges array.
MINIDUMP_MEMORY_DESCRIPTOR | MemoryRanges [0]
| Structures identifying each memory region present in the minidump file.

## Detailed Description

Information about memory regions within the process.

Typically, a minidump file will not contain a snapshot of a process’ entire memory image. For minidump files identified as MiniDumpNormal in MINIDUMP_HEADER::Flags, memory regions are limited to those referenced by MINIDUMP_THREAD::Stack fields, and a small number of others possibly related to the exception that triggered the snapshot to be taken.

The documentation for this struct was generated from the following file:

- compat/non_win/dbghelp.h